Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 158512 - IllegalArgumentException: setSelectedIndex: 0 out of bounds
IllegalArgumentException: setSelectedIndex: 0 out of bounds
Status: RESOLVED FIXED
Product: profiler
Classification: Unclassified
Component: Base
6.x
All All
: P3 (vote)
: 6.x
Assigned To: J Bachorik
issues@profiler
http://statistics.netbeans.org/except...
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-13 10:47 UTC by lhochet
Modified: 2009-03-25 09:26 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (1.64 KB, text/plain)
2009-02-13 10:47 UTC, lhochet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description lhochet 2009-02-13 10:47:16 UTC
Build: NetBeans IDE Dev (Build 200812180001)
VM: Java HotSpot(TM) Client VM, 11.2-b01, Java(TM) SE Runtime Environment, 1.6.0_12-b04
OS: Windows XP, 5.1, x86

Stacktrace: 
java.lang.IllegalArgumentException: setSelectedIndex: 0 out of bounds
        at javax.swing.JComboBox.setSelectedIndex(JComboBox.java:601)
        at org.netbeans.modules.profiler.ui.panels.ProjectSelectRootMethodsPanel.refreshBuilderList(ProjectSelectRootMethodsPanel.java:361)
        at org.netbeans.modules.profiler.ui.panels.ProjectSelectRootMethodsPanel.access$000(ProjectSelectRootMethodsPanel.java:90)
        at org.netbeans.modules.profiler.ui.panels.ProjectSelectRootMethodsPanel$1.propertyChange(ProjectSelectRootMethodsPanel.java:154)
        at java.beans.PropertyChangeSupport.firePropertyChange(PropertyChangeSupport.java:339)
        at java.beans.PropertyChangeSupport.firePropertyChange(PropertyChangeSupport.java:347)
Comment 1 lhochet 2009-02-13 10:47:22 UTC
Created attachment 76956 [details]
stacktrace
Comment 2 J Bachorik 2009-03-23 16:34:58 UTC
Do you happen to have a steps to reproduce?
Comment 3 lhochet 2009-03-23 22:17:51 UTC
hello,
unfortunately I don't, this is one of these exceptions for which I do not know what I was doing when I got it, but still
report just in case
Comment 4 J Bachorik 2009-03-24 11:20:58 UTC
This situation should not happen unless some of the profiler modules or classes are missing from installation.

However it is better to gracefully recover from such a situation than throwing an exception. Fixing.

http://hg.netbeans.org/profiler-main/rev/04311d46ae85
Comment 5 Quality Engineering 2009-03-25 09:26:31 UTC
Integrated into 'main-golden', will be available in build *200903250219* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/04311d46ae85
User: Jaroslav Bachorik <yardus@netbeans.org>
Log: #158512 - disable graphical root method selection when there are no selection view providers registered


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo